rdtool (0.6.38-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:15:47 +0200

rdtool (0.6.38-4) unstable; urgency=medium

  * Team upload.
  * Honour the SOURCE_DATE_EPOCH environment variable.
    Patch from Alexis Bienvenüe <pado@passoire.fr>.
    (Closes: #820144)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 01 May 2016 20:33:46 +0000

rdtool (0.6.38-3) unstable; urgency=medium

  * Team upload.
  * Make rdtool-elisp depend on emacs instead of the removed emacs23 package.
    Thanks Gabriele Giacone (Closes: #754028)
  * Remove conflict between ruby-rd and old (pre-Squeeze) version of rdtool.
  * Convert copyright-file to copyright-format/1.0

 -- Cédric Boutillier <boutil@debian.org>  Tue, 09 Sep 2014 10:25:51 +0200

rdtool (0.6.38-2) unstable; urgency=medium

  * Team upload.
  * Change packaging to a more conventional gem2deb style
    + drop dependency on cdbs and quilt
    + drop explicit dependency on libruby* (Closes: #735658)
  * Fix typo in package description
  * Do not install TODO as documentation anymore
  * Add simple DEP-3 headers to applied patches

 -- Cédric Boutillier <boutil@debian.org>  Thu, 23 Jan 2014 19:13:13 +0100

rdtool (0.6.38-1) unstable; urgency=low

  * Team upload.
  * New upstream release. Improves compatibility with Ruby 1.9.
  * Update Standards-Verson to 3.9.3. No changes needed.
  * Drop transitional packages librd-ruby1.8 and librd-html-ext-ruby1.8 which
    were already release in Debian 7.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 11 Aug 2013 23:30:36 +0200

rdtool (0.6.34-4) unstable; urgency=low

  * rdtool-elisp: Force creating symlink even if a file exists
    (closes: #674009)

 -- Taku YASUI <tach@debian.org>  Mon, 18 Jun 2012 02:27:46 +0900

rdtool (0.6.34-3) unstable; urgency=low

  * rdtool-elisp: Use *.el symlink instead of copy for linking source on
    describe-function. (closes: #671571)

 -- Taku YASUI <tach@debian.org>  Sun, 20 May 2012 01:09:51 +0900

rdtool (0.6.34-2) unstable; urgency=low

  * Add librd-html-ext-ruby1.8 dummy package for replacing it.
    - closes: 672531, #672444
    - ruby-rd includes all of librd-html-ext-ruby1.8 files.
  * Change dummy package description.

 -- Taku YASUI <tach@debian.org>  Sat, 12 May 2012 22:35:50 +0900

rdtool (0.6.34-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fix repository URL for the package

 -- Taku YASUI <tach@debian.org>  Tue, 08 May 2012 17:05:58 +0900

rdtool (0.6.33-1) unstable; urgency=low

  * New upstream release.
  * Build using gem2deb.
  * Remove to build HTML document because original package has them.
  * Remove needless patches:
    - debian/patches/020_use_any_versions_of_ruby
    - debian/patches/030_rdinlineparser_path_fix

 -- Taku YASUI <tach@debian.org>  Sun, 06 May 2012 03:13:51 +0900

rdtool (0.6.31-1) unstable; urgency=low

  * New upstream release.
  * Change maintainer to Debian Ruby Extras Maintainers.
    - akira yamada <akira@debian.org> and Taku YASUI <tach@debian.org>
      are uploaders.
  * Ruby package name transition.
    - Replace librd-ruby1.8 with ruby-rd.
  * Bump Standards-Verson to 3.9.3.
  * Bump compat level to 8.
  * Change project homepage.
    - http://uwabami.github.com/rdtool/
  * Use cdbs to build package.
  * Change source format to '3.0 (quilt)'.
  * Remove examples because rdswap is installed as a command.
  * Use /etc/rdtool/rd2rc instead of dot.rd2rc
    - debian/patches/010_change_dot_rd2rc_path
  * Run any versions of ruby
    - debian/patches/020_use_any_versions_of_ruby
  * Change rdtool-elisp startup file using debian-pkg-add-load-path-item

 -- Taku YASUI <tach@debian.org>  Sun, 06 May 2012 02:26:10 +0900

rdtool (0.6.22-1) unstable; urgency=low

  * New upstream release
    - this version was shiped with HTML version of rd-draft.rd*.
      (closes: #407782)
  * debian/copyright: updated download URL.
  * debian/rdtool-elisp.emacsen-startup: changed to "\\'" from "$" of the
    regexp in auto-mode-alist.  (closes: #446179)
  * debian/control:
    - Standards-Version: 3.8.1
    - rdtool-elisp depends on emacs22.  (closes: #434970)
    - librd-ruby1.8 in ruby section.

 -- akira yamada <akira@debian.org>  Fri, 03 Jul 2009 16:56:14 +0900

rdtool (0.6.20-1) unstable; urgency=low

  * New upstream release
  * dropped ruby1.6 support.

 -- akira yamada <akira@debian.org>  Mon,  9 Jan 2006 17:42:39 +0900

rdtool (0.6.16-3) unstable; urgency=medium

  * rd2man-lib causes "can't modify frozen string" error when rd-file is
    placed in cwd.

 -- akira yamada <akira@debian.org>  Sat,  9 Apr 2005 17:02:38 +0900

rdtool (0.6.16-2) unstable; urgency=high

  * debian/rules: cp lib/rd/dot.rd2rc to usr/lib/ruby/1.[68]/rd. 
    (closes: #297124)

 -- akira yamada <akira@debian.org>  Thu,  3 Mar 2005 03:41:06 +0900

rdtool (0.6.16-1) unstable; urgency=low

  * new upstream version.
  * Standards-Version: 3.6.1
  * lib/rd/rdinlineparser.ry: changed #empty? into #eos? and #clear nto
    #terminate in order to suppress warnings (closes: #289526)

 -- akira yamada <akira@debian.org>  Sat, 26 Feb 2005 08:11:46 +0900

rdtool (0.6.14-7) unstable; urgency=low

  * debian/control: improved package description.  (closes: #209775, #210084)

 -- akira yamada <akira@debian.org>  Thu, 24 Jun 2004 19:35:23 +0900

rdtool (0.6.14-6) unstable; urgency=high

  * rdtool package did not contain /usr/bin/rd2 etc.  (closes: #241685)

 -- akira yamada <akira@debian.org>  Fri,  2 Apr 2004 21:43:37 +0900

rdtool (0.6.14-5) unstable; urgency=low

  * new sub-package librd-ruby1.6, closes: #239517.

 -- akira yamada <akira@debian.org>  Tue, 23 Mar 2004 20:59:18 +0900

rdtool (0.6.14-4) unstable; urgency=low

  * rd2: suppress warnings.
  * rdtoolconf.rb: does not require amstd.  (applied upstream patch.)
  * debian/control: removed libamstd-ruby1.8 from Build-Depends-Indep.

 -- akira yamada <akira@debian.org>  Tue, 16 Dec 2003 01:25:05 +0900

rdtool (0.6.14-3) unstable; urgency=high

  * Build-Depends on libstrscan-ruby1.8, closes: #214288.

 -- akira yamada <akira@debian.org>  Mon,  6 Oct 2003 18:35:54 +0900

rdtool (0.6.14-2) unstable; urgency=low

  * librd-ruby1.8 depends on libstrscan-ruby1.8, closes: #213328, #212528.
  * moved /usr/lib/ruby/1.8/rd/* to librd-ruby1.8 from rdtool.

 -- akira yamada <akira@debian.org>  Thu,  2 Oct 2003 18:04:18 +0900

rdtool (0.6.14-1) unstable; urgency=low

  * new upstream version.
  * backed /usr/bin/rmi2html.rb from /usr/bin/rmi2html.
  * renamed to librd-ruby1.8 from librd-ruby.
  * rdtool and librd-ruby1.8 depend on ruby1.8.

 -- akira yamada <akira@debian.org>  Sun,  7 Sep 2003 21:42:38 +0900

rdtool (0.6.13-1) unstable; urgency=low

  * new upstream version, closes: #195044.
  * Standards-Version: 3.5.9

 -- akira yamada <akira@debian.org>  Fri,  6 Jun 2003 20:52:22 +0900

rdtool (0.6.11-4) unstable; urgency=low

  * librd-ruby replaces rdtool (<< 0.6.11-3), closes: #161087.

 -- akira yamada <akira@debian.org>  Sun, 22 Sep 2002 13:14:54 +0900

rdtool (0.6.11-3) unstable; urgency=low

  * applied bug fix patch:
     - ruby-ext#02080: missing </dt>
     - ruby-list#35281: rd-mode.el - a bit fix
  * new sub-package: librd-ruby.  now, files in /usr/lib/ruby/1.6/rd is in
    librd-ruby.  and rdtool depends on librd-ruby.
  * depends on libnkf-ruby instead of libnkf-ruby (>= 1.6.2-5).  because
    libnkf-ruby is merged into libruby at version 1.6.7-4 and libnkf-ruby is
    provided by the version of libruby.

 -- akira yamada <akira@debian.org>  Wed, 12 Jun 2002 07:17:07 +0900

rdtool (0.6.11-2) unstable; urgency=low

  * added liboptparse-ruby to Build-Depends, closes: #142093.

 -- akira yamada <akira@debian.org>  Fri, 12 Apr 2002 11:02:18 +0900

rdtool (0.6.11-1) unstable; urgency=low

  * new upstream version.

 -- akira yamada <akira@debian.org>  Mon,  4 Feb 2002 17:48:55 +0900

rdtool (0.6.10-4) unstable; urgency=low

  * fixed bug in rd/rd2html-lib.rb (prepare_footnotes)

 -- akira yamada <akira@debian.org>  Tue,  2 Oct 2001 01:03:54 +0900

rdtool (0.6.10-3) unstable; urgency=low

  * fixed bug in rd/rdblockparser.ry (desclistitem)

 -- akira yamada <akira@debian.org>  Tue,  2 Oct 2001 00:36:21 +0900

rdtool (0.6.10-2) unstable; urgency=low

  * fixed bug in rd/rdvisitor.rb.

 -- akira yamada <akira@debian.org>  Thu, 28 Jun 2001 00:23:41 +0900

rdtool (0.6.10-1) unstable; urgency=low

  * upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Sun, 24 Jun 2001 12:14:55 +0900

rdtool (0.6.7-1) unstable; urgency=low

  * upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Wed, 31 Jan 2001 05:43:30 +0900

rdtool (0.6.6-2) unstable; urgency=low

  * rebuild with ruby_1.6.2-5.

 -- akira yamada <akira@debian.org>  Thu, 25 Jan 2001 16:29:58 +0900

rdtool (0.6.6-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 12 Oct 2000 09:00:36 +0900

rdtool (0.6.5-4) unstable; urgency=low

  * New package: rdtool-elisp.

 -- akira yamada <akira@debian.org>  Fri,  6 Oct 2000 08:59:26 +0900

rdtool (0.6.5-3) unstable; urgency=low

  * Applied patch(ruby-dev: 10864).

 -- akira yamada <akira@debian.org>  Fri,  8 Sep 2000 14:45:16 +0900

rdtool (0.6.5-2) unstable; urgency=low

  * Rebuild with ruby_1.6.0.
  * Updated Standards-Version to 3.2.1.
  * Added Build-Depends field into control file.

 -- akira yamada <akira@debian.org>  Fri,  1 Sep 2000 22:24:44 +0900

rdtool (0.6.5-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Mon, 26 Jun 2000 00:17:13 +0900

rdtool (0.6.4-1) unstable; urgency=low

  * Upgraded to new upstream version.
  * debian/control: added Depends: libnkf-ruby.

 -- akira yamada <akira@debian.org>  Tue, 20 Jun 2000 10:14:59 +0900

rdtool (0.6.3-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Mon, 29 May 2000 13:46:01 +0900

rdtool (0.6.1-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Fri, 28 Apr 2000 14:11:37 +0900

rdtool (0.6.0-1) unstable; urgency=low

  * Upgraded to new upstream version.

 -- akira yamada <akira@debian.org>  Tue,  4 Apr 2000 14:50:23 +0900

rdtool (0.5.7-2) unstable; urgency=low

  * fixed bloken Depends feeld

 -- akira yamada <akira@debian.org>  Mon, 24 Jan 2000 10:15:24 +0900

rdtool (0.5.7-1) unstable; urgency=low

  * Initial Release.

 -- akira yamada <akira@debian.org>  Fri, 14 Jan 2000 17:06:02 +0900


